$kind: http-request
url: "{{baseUrl}}savings/savings-account/6/account-statement"
method: GET
headers:
  Accept: application/json
  Content-Type: application/json
  api-key: SV1234
queryParams:
  - key: test
    value: test
    disabled: true
  - key: kek
    value: ""
    disabled: true
body:
  type: json
  content: "{\r

    \    \"start_date\": \"2023-10-17\",\r

    \    \"end_date\": \"2024-10-17\",\r

    \    \"pdf\": false\r

    }"
auth:
  type: bearer
  credentials:
    token: "{{token}}"
scripts:
  - type: afterResponse
    code: "var template = `\r

      <style type=\"text/css\">\r

      \    .tftable {font-size:14px;color:#333333;width:100%;border-width:
      1px;border-color: #87ceeb;border-collapse: collapse;}\r

      \    .tftable th {font-size:18px;background-color:#87ceeb;border-width:
      1px;padding: 8px;border-style: solid;border-color:
      #87ceeb;text-align:left;}\r

      \    .tftable tr {background-color:#ffffff;}\r

      \    .tftable td {font-size:14px;border-width: 1px;padding:
      8px;border-style: solid;border-color: #87ceeb;}\r

      \    .tftable tr:hover {background-color:#e0ffff;}\r

      </style>\r

      \r

      <table class=\"tftable\" border=\"1\">\r

      \    <tr>\r

      \        <th>Transaction ID</th>\r

      \        <th>Credit Amount</th>\r

      \        <th>Debit Amount</th>\r

      \        <th>Transaction Date</th>\r

      \        <th>Transaction Type ID</th>\r

      \        <th>Payment Mode ID</th>\r

      \        <th>Balance</th>\r

      \    </tr>\r

      \    \r

      \    {{#each response.data.transactions}}\r

      \        <tr>\r

      \            <td>{{id}}</td>\r

      \            <td>{{credit_amount}}</td>\r

      \            <td>{{debit_amount}}</td>\r

      \            <td>{{transaction_date}}</td>\r

      \            <td>{{transaction_type_id}}</td>\r

      \            <td>{{payment_mode_id}}</td>\r

      \            <td>{{balance}}</td>\r

      \        </tr>\r

      \    {{/each}}\r

      </table>\r

      `;\r

      \r

      function constructVisualizerPayload() {\r

      \    return {response: pm.response.json()}\r

      }\r

      \r

      pm.visualizer.set(template, constructVisualizerPayload());"
    language: text/javascript
order: 5000
